use POSIX qw(floor);

$newLine = 1;
$text = "";

#open CONST, "constellations.txt" or die;
#while(<CONST>) {
#    /([a-zA-Z]+)\s+([a-zA-Z ]+)/;
#    $constellations{uc($1)} = $2;
#}

open HYG, "hygxyz.csv" or die;
@line = split (/,/, <HYG>);
for $i (0..@line-1) {
    $col{$line[$i]} = $i;
}
while(<HYG>) {
    @line = split /,/;
    $hip = $line[$col{HIP}];
    if ($hip) {
        $ra[$hip]  = $line[$col{RA}];
        $dec[$hip] = $line[$col{Dec}];
    }
}
close HYG;

$item = 0;

open CONST, "constellation-lines.txt" or die;
while(<CONST>) {
    s/[\r\n]//g;
    s/#.*//;
    s/^\s*//;
    $last = -1;
    if (/^[a-zA-Z0-9][a-zA-Z0-9][a-zA-Z0-9]\s+[0-9]+\s+(.*)/) {
        @const = split( /\s+/, $1 );
        for $i (0..(@const/2-1)) {
            $s1 = $const[2*$i];
            $s2 = $const[2*$i+1];
            if ( $s1 == $last ) {
                $lines[$item]   = GetCoords($s2);
                $newLine[$item] = 0;
                $item++;
            }
            else {
                $lines[$item]   = GetCoords($s1);
                $newLine[$item] = 1;
                $item++;
                $lines[$item]   = GetCoords($s2);
                $newLine[$item] = 0;
                $item++;
            }
            $last = $s2;
        }
    }
}
close CONST;

open OUT, ">../build/constellations.dat";
binmode OUT;

for $i (0..@lines-1) {
     print OUT $lines[$i];
}
for $i (0..@newLine-1) {
     print OUT chr($newLine[$i]);
}
close OUT;

sub GetCoords {
     my $catNum  = shift;
     if ( ! defined $ra[$catNum] ) {
         die "Error locating $catNum.";
     }

     my $starRa  = $ra[$catNum];
     my $starDec = $dec[$catNum];

     my $pi = 3.141592653589793238462643383;

     $starRa *= $pi/12.;
     $starDec *= $pi/180.;
     my $cosdec = cos($starDec);
     my $scale = 1<<30;
     my $x = floor( (cos($starRa) * $cosdec * $scale ) + .5 );
     my $y = floor( (sin($starRa) * $cosdec * $scale ) + .5 );
     my $z = floor( sin($starDec) * $scale + .5 );
     return pack "NNN", $x, $y, $z;
}
