#!/usr/bin/perl
#
# Copyright 2001, Jochen Hoenicke
#
# released under public domain.
#
# Convert the ADC5050 Yale Bright Star Catalog into a format suitable for
# Astro Info.
#
# Usage:  perl convert-5050.pl <maglimit> | sort -f | cut -d: -f2-

$ADC5050="/mnt/cdrom/astro/ADC5050";

$maglimit = pop || 1000;

@greek = ("Alp", "Bet", "Gam", "Del", "Eps", "Zet", "Eta", "The", 
	  "Iot", "Kap", "Lam", "Mu ", "Nu ", "Xi ", "Omi", "Pi ", 
	  "Rho", "Sig", "Tau", "Ups", "Phi", "Chi", "Psi", "Ome");
my @fullname;

open NAMES, "<names.txt";
while (<NAMES>) {
  chomp $_;
  $yalenr = substr($_, 1, 4);
  $name = substr($_, 12);
  $name =~ s/([A-Z])([A-Za-z]*)/\1\L\2\E/;
  $fullname[$yalenr] = $name;
}

open CATALOG, "$ADC5050/catalog.dat";
while (<CATALOG>) {
  $yalenr = substr($_, 0, 4);
  $cnum =substr($_, 4, 3);
  $name =substr($_, 7, 4);
  $cnst=substr($_, 11, 3);
  $sao  =substr($_, 31, 6);
  $rah =substr($_, 75, 2);
  $ram =substr($_, 77, 2);
  $ras =substr($_, 79, 4);
  $degd =substr($_, 83, 3);
  $degm =substr($_, 86, 2);
  $degs =substr($_, 88, 2);
  $mag  =substr($_, 102, 5);

  next if $mag > $maglimit;
  next if $rah eq "  ";

  for ($val = 0; $val < @greek; $val++)
    {
      last if $greek[$val] eq substr($name,0,3);
    }
  $cnst =~ s/\s*$//;
  $cnst = "zzz" if ($cnst eq "");
  $vval ="0$val";
  $vval = substr($vval, length($vval)-2);
  $sort = $cnst.$vval.$cnum.$sao;
  $sort =~ s/\s/0/g;
  $name =~ s/\s*([0-9]?)$/\1/;
  $sao =~ s/^\s*//;
  $cnum =~ s/^\s*//;
  $degd =~ s/^\s*\+?//;
  $mag =~ s/^\s*//;
  $cnst = "SAO" if ($cnst eq "zzz");
  print "$sort:$cnst:"
    . (defined $fullname[$yalenr] ? " ".$fullname[$yalenr] : "")
    . ($name ? " $name" : "").($cnum ? " $cnum" : "")
    . ($sao ? " ($sao)":"")
    . "\t$rah\t$ram\t$ras\t$degd\t$degm\t$degs\t$mag\t--\n";
}
