#
# This generates a catalog with the first 100 minor planets, for today.
#
use LWP::UserAgent;
$agent = LWP::UserAgent->new;

for $i (1..100) {
   $list = $list . $i . "\n";
}

@form=("TextArea"=>$list,
"ty"=>"e",
"d"=>"",
"l"=>"1",
"i"=>"",
"u"=>"d",
uto=>"0",
"c"=>"",
"long"=>"",
"lat"=>"",
"alt"=>"",
"raty"=>"h",
"s"=>"t",
"m"=>"m",
"oed"=>"",
"e"=>"-2",
"resoc"=>"",
"tit"=>"",
"bu"=>"",
"ch"=>"c",
"ce"=>"f",
"js"=>"f"
);

$res=$agent->post( 'http://scully.cfa.harvard.edu/~cgi/MPEph2',\@form);

$out=$res->as_string();

$out =~ s/[\r\n]+/\n/g;

open OUT, ">minorplanets.txt" or die;

print OUT "Minor planets\n";

$success = 0;

while( $out =~ s/<b>\s*(.*?)\s*<\/b>.*?<PRE>(.*?)<\/PRE>//is ) {
    Dump($1,$2);
    $success = 1;
}

if ( ! $success ) {
    die "Error fetching ephemerides.";
}

if ( system "CLASSPATH=../java java net.sf.astroinfo.Catalog -2 minorplanets.txt ../build/minorplanets.pdb" ) {
    die "Error generating pdb.";
}

sub Dump {
    my $name = shift;
    my $text = shift;
    $text =~ s/.*\n([0-9][0-9][0-9][0-9]\s)/$1/s;
    $text =~ s/\+//g;
    my @data = split( /\s+/, $text );
    print OUT $name."\t".$data[4]."\t".$data[5]."\t".$data[6]."\t".$data[7]."\t".$data[12]."\t--\n";
}
