/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroInfoConstants.java 817 2008-09-24 15:05:38Z arpruss $
 * Copyright (C) 2002, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sf.astroinfo;
import net.sf.astroinfo.pdb.Database;

public interface AstroInfoConstants {
    public final static int creatorID = Database.StringToID("MWH2");
    public final static int dstID = Database.StringToID("DST0");
    public final static int catID = Database.StringToID("DATA");
    public final static int qtreeID = Database.StringToID("QTRE");

    public final static int V2_MAX_QTREE_NODE_SIZE = 32;
    public final static int V2_QTREE_NODE_SIZE = 20;
    public final static int V3_MAX_QTREE_NODE_SIZE = 72;
    public final static int V3_QTREE_NODE_SIZE = 60;
    public final static int V2_OBJECT_SIZE = 22;
}
