#!/usr/bin/perl

$PLANET_BASEID = 500;
@planets= ("Mercury", "Venus", "Moon", "Mars", "Jupiter",
	   "Saturn", "Uranus", "Neptune", "Pluto", "Sun");

$prcname  = shift;

%sizemap = ("Small" => 50, "Medium" => 100, "Large" => 200);
%depthmap = ("Mono" => 1, "Gray" => 4, "Color" => 8);

if ($prcname =~ /(Planets(Small|Medium|Large)(Mono|Gray|Color)).prc/) {
    $basename = $1;
    $size = $sizemap{$2};
    $depth = $depthmap{$3};
} else {
    die "Unsupported depth/size: $prcname\n";
}

$dimen = "-resize '${size}x${size}>'";

open RCP, ">build/${basename}.rcp";
for $i (0 .. @planets) {
    next if !$planets[$i];
    print RCP "BITMAPFAMILYEX ID ". (500 + $i)."\n";
    print RCP "COMPRESS\n";
    print RCP "BEGIN\n";

    $planet = $planets[$i];
    if ($depth == 1) {
	print RCP qq'BITMAP "build/${planet}1.ppm" BPP 1\n';
	system "convert -compress none -monochrome $dimen lib/${planet}.png build/${planet}1.ppm";
    }
    if ($depth == 4) {
	print RCP qq'BITMAP "build/${planet}4.ppm" BPP 4\n';
	system "convert -compress none -map lib/gray4.xpm $dimen lib/${planet}.png build/${planet}4.ppm 1>&2";
    }
    if ($depth == 8) {
	print RCP qq'BITMAP "build/${planet}8.ppm" BPP 8 TRANSPARENT 0 0 0\n';
	system "convert -compress none -map lib/color8.xpm -colors 255 $dimen lib/${planet}.png build/${planet}8.ppm";
    }
    print RCP "END\n";
}
close RCP;
system "pilrc -q -ro -ts -creator 'MWH2' -type 'PlIm' -name 'Planet Images'".
    " build/${basename}.rcp $prcname";

for $planet (@planets) {
    unlink "build/${planet}${depth}.ppm";
    unlink "build/${basename}.rcp";
}
