/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 *
 * $Id: AstroAlign.h 973 2010-04-12 23:54:36Z hoenicke $
 * Copyright (C) 2001, Jochen Hoenicke
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef AstroAlign_h
#define AstroAlign_h

#define ALIGNSECTION __attribute__ ((section ("code4")))

#include "FixedPoint.h"
#include "AstroLib.h"

ALIGNSECTION void AlignClose(void);
ALIGNSECTION void AlignStart(void);
ALIGNSECTION void Align(UInt32 currentObj);
ALIGNSECTION Boolean AlignFormHandleEvent(EventPtr event);
ALIGNSECTION Boolean AlignValid(void);
ALIGNSECTION Boolean AlignGetStrings(UInt16* axis1LabelP, Char* axis1,
    UInt16* axis2LabelP, Char* axis2, VectorType altAz32);

#endif
