/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroDetails.h 928 2009-01-20 14:43:55Z arpruss $
 * Copyright (C) 2002, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef AstroDetails_h
#define AstroDetails_h

#include <PalmOS.h>

#define ADETAILSECTION __attribute__ ((section ("code2")))

typedef enum {
    LOOKUP_WEB = 0,
    LOOKUP_DICT
} LookupMethodType;

void UpdateObjectDetail(UInt32 currentObj) ADETAILSECTION;
void DrawObjectDetail(UInt32 currentObj) ADETAILSECTION;
void ClearObjectDetail(void) ADETAILSECTION;
Char *GetMoonPhaseDescription(Int32 phase, Char *phaseName) ADETAILSECTION;
void ShowObjectDetail(UInt32 currentObj) ADETAILSECTION;
Char *FormatAngle(Char *str, Int32 angle, Char *format,
                  Boolean isSigned) ADETAILSECTION;
void DrawDetailCell(TablePtr table, Int8 row, Int8 col, UInt16 fieldnameid, Char *contents) ADETAILSECTION;
void LookupObject(UInt32 currentObj, Char* description, LookupMethodType method) ADETAILSECTION;
LocalID GetWebBrowser(void) ADETAILSECTION;
LocalID GetDictionary(void) ADETAILSECTION;
UInt16 GetMoonPhaseNumber(Int32 phase) ADETAILSECTION;

extern RectangleType detailRect;
extern RectangleType descRect;
#endif

