/*
 * Astro QTree - an astronomical visualizer for PalmOS devices.
 * 
 * $Id: AstroPnoUtil.h 719 2008-01-12 21:22:29Z arpruss $
 * Copyright (C) 2001-2008, Astro Info SourceForge Project
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef AstroPnoUtil_h
#define AstroPnoUtil_h

#define SWAP16(x) ( ( (UInt16)(x) << 8 ) | ( (UInt16)(x) >> 8 ) )

#define SWAP32( x ) ( ( (UInt32)(x) >> 24 ) | \
                    ( ( (UInt32)(x) & 0x00FF0000l ) >> 8 ) | \
                    ( ( (UInt32)(x) & 0x0000FF00l ) << 8 ) |  \
                    ( (UInt32)(x) << 24 ) )

#define READUNALIGNED32(x) ( ( ( ( UInt8* )&(x) ) [0] << 24 ) \
                            | ( ( ( UInt8* )&(x) ) [1] << 16 ) \
                            | ( ( ( UInt8* )&(x) ) [2] << 8 ) \
                            | ( ( ( UInt8* )&(x) ) [3] ) )

#define READUNALIGNED16(x) ( ( ( ( UInt8* )&(x) ) [0] << 8 ) \
                            | ( ( ( UInt8* )&(x) ) [1] ) )

#define READWORDALIGNED32(x) (((UInt32)SWAP16(((UInt16*)&(x))[0]) << 16) | SWAP16(((UInt16*)&(x))[1]))
#endif
