/*
 * Astro QTree - an astronomical visualizer for PalmOS devices.
 * 
 * $Id: AstroQTree.h 977 2010-04-14 23:23:55Z hoenicke $
 * Copyright (C) 2001, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef AstroQTree_h
#define AstroQTree_h

#include "AstroSky.h"
#include "AstroQTreeObject.h"

#define QTREESECTION __attribute__ ((section ("code3")))

#define V2_QTREE_MAX_NODE_SIZE 32

typedef struct {
    Int8  raSplit;
    UInt8 numObj;
    Int16 limMag;
    Int32 coord;
    Int16 lowIdx;
    Int16 highIdx;
} QTreeHeader;

typedef struct {
    Int8  raSplit;
    Int8  numObj;
    Int16 limMag;
    Int32 coord;
    Int16 lowIdx;
    Int16 highIdx;
} QTreeHeaderV3;

void QTREESECTION QTreeDrawSph(SkyDrawContext *ctx, DrawObjectFunc drawObject);
void QTREESECTION QTreeFindObject (VectorType radec, Int16 magnitude,
                                   FinderType* finder);

void QTREESECTION QTreeGetObject(DBRecord *db, UInt32 index,
				 AstroRecordType *art);
#endif
