/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroRocker.h 930 2009-01-30 19:21:09Z arpruss $
 * Copyright (C) 2001, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef AstroRocker_h
#define AstroRocker_h

#include <PalmOS.h>

#define AROCKERSECTION __attribute__ ((section ("code3")))

typedef struct {
    Int16 minValue;
    Int16 maxValue;
    Int16 Value;
    UInt16 rockupid;
    UInt16 rockdownid;
    Boolean zoom; 
} RockerType;

RockerType * InitRocker(RockerType *rocker, Int16 minvalue, Int16 value, Int16 maxvalue) AROCKERSECTION;
RockerType * SetRockerButtons(RockerType *rocker, UInt16 rockupid, UInt16 rockdownid) AROCKERSECTION;
Boolean ChangeRocker(RockerType *rocker, Boolean rockup) AROCKERSECTION;
Boolean RockerChangeHandleEvent(RockerType *rocker, EventPtr event) AROCKERSECTION;
void SetRocker(RockerType *rocker, Int16 value) AROCKERSECTION;
      
#endif    // AstroRocker_h

