/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroTime.h 968 2010-04-11 13:31:28Z hoenicke $
 * Copyright (C) 2002, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef AstroTime_h
#define AstroTime_h

#include "PalmUtil.h"

#define ATIMESECTION __attribute__ ((section ("code3")))

/*
 * Needed by other code sections
 */
extern Int32 currentTzDST;
extern Int32 currentGSTOffset;

// This variable holds the current time increment in seconds
extern UInt32 timeIncInSecs;
// This variable holds the current time interval in seconds
extern UInt32 timeIntInSecs;
// This is the increment amount
extern Int32 timePlayAdjust;


Boolean TimebasesFormHandleEvent(EventPtr event) ATIMESECTION;
Boolean DateChangeHandleEvent(EventPtr event) ATIMESECTION;

void DrawDatePicker(void) ATIMESECTION;
void DrawTimePicker(void) ATIMESECTION;
Char *FormatTime(Int32 time, Char *s, UInt16 size, Char *flags, Boolean force24H) ATIMESECTION;
void ShowTimebases(FormPtr formPtr) ATIMESECTION;
Int16 UpNow(Int16 flags, Int32 rise, Int32 set, Int32 now) ATIMESECTION;
Boolean SetNow(void) ATIMESECTION;
void CalculateDate(void) ATIMESECTION;
void GetJulianDateString(Char* str, UInt32 jday, UInt32 jtime) ATIMESECTION;
void GetJulianDate(UInt32* jdayP, UInt32* jtimeP, UInt32 seconds) ATIMESECTION;


#endif
