//#define PROFILER
#ifndef _PALMPROF_H
#define _PALMPROF_H
#define FTR_PROFILER_COUNT_START     32769u
#define FTR_PROFILER_MAX_CHUNK       32768u
#define PROFILER_MAX_CHUNKS          32000
#define FTR_RESIDENT_INSTALLED       32001
#define FTR_RESIDENT_DATA            32002
#define FTR_RESIDENT_CODE            32003
#define FTR_PROFILER_TIMER_ID        32004
#define FTR_PROFILER_TOTAL           32005
#define FTR_PROFILER_RESOLUTION      32006
#define FTR_PROFILER_RUNNING         32007

#define PROFILER_DEFAULT_RESOLUTION     10 /* milliseconds */

#define profilerCreator 'pPrf'

#ifdef PROFILER
# define PROFILER_START( n )  FtrSet( profilerCreator, ( n ), 1 )
# define PROFILER_STOP( n )   FtrUnregister( profilerCreator, ( n ) )
# define PROFILER_MAX( n )    FtrSet( profilerCreator, FTR_PROFILER_MAX_CHUNK, ( n ) )
# define PROFILER_SET_RESOLUTION( n )  FtrSet( profilerCreator, FTR_PROFILER_RESOLUTION, ( n ) )
#else
# define PROFILER_START( n ) 
# define PROFILER_STOP( n )
# define PROFILER_MAX( n )
# define PROFILER_SET_RESOLUTION( n )
#endif

#endif
